Subject: something for website
From: "Kay Price" <[email-masked]>
To: <[email-masked]>
Date: Sun, 19 May 2013 15:22:58 -0500

Jim,

This could go on our website. I will send you more. We need to make a big
deal on our website about our CW Dinner. Char and I will meet tomorrow and
put together the newsletter. We will send you more to put on. Can you do a
temporary splashy front page on the WWF? So it is easy to find.  

I am sitting at the kitchen table and it is really hot. Storms are headed
our way. I want to get my geraniums bought and planted but sounds like rain
every day until Friday.

Are you still clearing out land?

Kay